package csvparser

type EncloserId int

const (
	DoubleQuotes EncloserId = iota
	SingleQuotes
	RoundBrackets
	SquareBrackets

)


type CsvParser struct {
	enclosers []EncloserId
	delimiter  rune
}

func (parser *CsvParser) Init() {
	parser.enclosers = append(parser.enclosers, DoubleQuotes, SquareBrackets)
	parser.delimiter = ' '
}
func (parser *CsvParser) Parse(line string) {
}
